## waterfox-g3-kpe 2.0

=== testing/marionette/harness/requirements.txt ===
browsermob-proxy >= 0.8.0
manifestparser >= 1.1
marionette-driver >= 3.0.0
mozcrash >= 2.0
mozdevice >= 3.0.1
mozinfo >= 1.0.0
mozlog >= 6.0
moznetwork >= 0.27
mozprocess >= 1.0.0
mozprofile >= 2.2.0
mozrunner >= 7.4.0
moztest >= 0.8
mozversion >= 2.1.0
six
wptserve >= 2.0.0

## waterfox-g3-kpe 0.1

=== debian/changelog ===
waterfox-g3-kpe (0.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Install an XFCE helper desktop file from /debian so WF will become a choice
    for the default browser in XFCE's settings .

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 29 Nov 2020 20:06:48 -0800

waterfox-g3-kpe (0.1-0) obs; urgency=medium

  * Fixed an issue where users would upgrade and their old profile would not
    be used.
  * Fixed an issue where users could not change their default profile.
  * Fixed an issue where add-ons were not correctly initialising, causing
    browser instability.
  * Fixed an issue where the incorrect update channel was being used (no
    user changes needed).
  * Re-implemented the Dark and Light Photon themes.
  * Added user agent overrides for various websites that do not recognize
    Waterfox, including: Netflix, WhatsApp Web, Chase bank, Swedbank and
    Amazon Prime Video.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sat, 28 Nov 2020 16:04:00 +0200

waterfox-g3-kpe (0.0-0) obs; urgency=medium

  * First release of Third Generation Waterfox

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 23 Nov 2020 18:41:00 +0200

=== debian/control ===
Source: waterfox-g3-kpe
Section: web
Priority: optional
Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
Build-Depends: apt-utils,
               autoconf2.13,
               autotools-dev,
               binutils,
               binutils-avr,
               build-essential,
               cargo (>= 0.42),
               cbindgen (>= 0.14.3),
               clang , clang-7,
               dbus-x11,
               debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1~),
#               gcc (>= 7) | gcc-mozilla (>= 7),
               libasound2-dev,
               libclang-dev, libclang-7-dev,
               libcurl4-openssl-dev,
               libdbus-glib-1-dev,
               libevent-dev (>= 1.4.1),
               libfile-fcntllock-perl,
               libfontconfig1-dev,
               libfreetype6-dev (>= 2.0.1),
               libgl1-mesa-dev,
               libglib2.0-dev (>= 2.18),
               libgtk-3-dev (>= 3.4),
               libgtk2.0-dev (>= 2.14),
               libiw-dev,
               libjack-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libnotify-dev (>= 0.4),
               libpango1.0-dev (>= 1.14.0),
               libpulse-dev,
               libreadline-dev,
               libstartup-notification0-dev,
               libtinfo-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxext-dev,
               libxrender-dev,
               libxt-dev,
               llvm-dev, llvm-7-dev,
               locales,
               lsb-release,
               mesa-common-dev,
               nasm (>= 2.14),
               nodejs (>= 10.21),
               pkg-config,
               python3 (>= 3.5),
               rustc (>= 1.41.0),
               unzip,
               xauth,
               xfonts-base,
               xvfb,
               yasm (>= 1.1),
               zip,
               zlib1g-dev
Standards-Version: 3.9.7
Homepage: https://www.waterfox.net/

Package: waterfox-g3-kpe
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ffmpeg, fonts-lyx, kwaterfoxhelper, pulseaudio, waterfox-g3-wayland
Provides: gnome-www-browser, waterfox-g3, www-browser
Description: privacy-conscious browser with primary support for webextensions
 Waterfox focuses on giving users choice. The browser is focused on power users,
 which lets you make the important decisions. There is no plugin whitelist
 (meaning you can run Java Applets and Silverlight apps), you can run whichever
 extensions you like (including modified bootstrapped add-ons that can 
 completely change functionality of the browser) and absolutely no data or
 telemetry is sent back to Mozilla or the Waterfox project.
 .
 Waterfox is powered by Mozilla Firefox source code.
 .
 NOTE 1: Package contains integration improvements for KDE made by openSUSE, but
 works well also on other desktop environments, but KDE Plasma integration
 features may not work if kwaterfoxhelper isn't installed. For better KDE
 integration, it's recommended to also install the plasma-browser-integration
 package together with the Plasma Integration extension.
 .
 NOTE 2: Language packs are available as separate packages to install from the
 apt repository!

Package: waterfox-g3-kde
Architecture: any
Depends: kwaterfoxhelper, waterfox-g3, ${misc:Depends}, ${shlibs:Depends}
Suggests: plasma-browser-integration
Description: KDE Plasma integration for Waterfox Third Generation
 For better integration, it's recommended to also install the
 plasma-browser-integration package together with the Plasma Integration
 extension.

Package: waterfox-g3-wayland
Architecture: all
Depends: waterfox-g3, ${misc:Depends}, ${shlibs:Depends}
Description: Waterfox Third Generation Wayland launcher
 This package contains launcher and desktop file to run Waterfox Third
 Generation natively on Wayland.

Package: waterfox-g3-i18n-ach
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Acholi language pack for Waterfox G3
 This package contains Acholi translations for Waterfox G3

Package: waterfox-g3-i18n-af
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Afrikaans language pack for Waterfox G3
 This package contains Afrikaans translations for Waterfox G3

Package: waterfox-g3-i18n-an
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Aragonese language pack for Waterfox G3
 This package contains Aragonese translations for Waterfox G3

Package: waterfox-g3-i18n-ar
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Arabic language pack for Waterfox G3
 This package contains Arabic translations for Waterfox G3

Package: waterfox-g3-i18n-ast
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Asturian language pack for Waterfox G3
 This package contains Asturian translations for Waterfox G3

Package: waterfox-g3-i18n-az
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Azerbaijani language pack for Waterfox G3
 This package contains Azerbaijani translations for Waterfox G3

Package: waterfox-g3-i18n-be
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Belarusian language pack for Waterfox G3
 This package contains Belarusian translations for Waterfox G3

Package: waterfox-g3-i18n-bg
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Bulgarian language pack for Waterfox G3
 This package contains Bulgarian translations for Waterfox G3

Package: waterfox-g3-i18n-bn
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Bengali language pack for Waterfox G3
 This package contains Bengali translations for Waterfox G3

Package: waterfox-g3-i18n-br
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Breton language pack for Waterfox G3
 This package contains Breton translations for Waterfox G3

Package: waterfox-g3-i18n-bs
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Bosnian language pack for Waterfox G3
 This package contains Bosnian translations for Waterfox G3

Package: waterfox-g3-i18n-ca
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Catalan language pack for Waterfox G3
 This package contains Catalan translations for Waterfox G3

Package: waterfox-g3-i18n-ca-valencia
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Català (Valencià) language pack for Waterfox G3
 This package contains  Català (Valencià) translations for Waterfox G3

Package: waterfox-g3-i18n-cak
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Kaqchikel language pack for Waterfox G3
 This package contains Kaqchikel translations for Waterfox G3

Package: waterfox-g3-i18n-cs
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Czech language pack for Waterfox G3
 This package contains Czech translations for Waterfox G3

Package: waterfox-g3-i18n-cy
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Welsh language pack for Waterfox G3
 This package contains Welsh translations for Waterfox G3

Package: waterfox-g3-i18n-da
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Danish language pack for Waterfox G3
 This package contains Danish translations for Waterfox G3

Package: waterfox-g3-i18n-de
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: German language pack for Waterfox G3
 This package contains German translations for Waterfox G3

Package: waterfox-g3-i18n-dsb
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Lower Sorbian language pack for Waterfox G3
 This package contains Lower Sorbian translations for Waterfox G3

Package: waterfox-g3-i18n-el
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Greek language pack for Waterfox G3
 This package contains Greek translations for Waterfox G3

Package: waterfox-g3-i18n-en-ca
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: English (Canadian) language pack for Waterfox G3
 This package contains English (Canadian) translations for Waterfox G3

Package: waterfox-g3-i18n-en-gb
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: English (British) language pack for Waterfox G3
 This package contains English (British) translations for Waterfox G3

Package: waterfox-g3-i18n-eo
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Esperanto language pack for Waterfox G3
 This package contains Esperanto translations for Waterfox G3

Package: waterfox-g3-i18n-es-ar
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Spanish (Argentina) language pack for Waterfox G3
 This package contains Spanish (Argentina) translations for Waterfox G3

Package: waterfox-g3-i18n-es-cl
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Spanish (Chile) language pack for Waterfox G3
 This package contains Spanish (Chile) translations for Waterfox G3

Package: waterfox-g3-i18n-es-es
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Spanish (Spain) language pack for Waterfox G3
 This package contains Spanish (Spain) translations for Waterfox G3

Package: waterfox-g3-i18n-es-mx
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Spanish (Mexico) language pack for Waterfox G3
 This package contains Spanish (Mexico) translations for Waterfox G3

Package: waterfox-g3-i18n-et
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Estonian language pack for Waterfox G3
 This package contains Estonian translations for Waterfox G3

Package: waterfox-g3-i18n-eu
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Basque language pack for Waterfox G3
 This package contains Basque translations for Waterfox G3

Package: waterfox-g3-i18n-fa
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Persian language pack for Waterfox G3
 This package contains Persian translations for Waterfox G3

Package: waterfox-g3-i18n-ff
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Fulah language pack for Waterfox G3
 This package contains Fulah translations for Waterfox G3

Package: waterfox-g3-i18n-fi
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Finnish language pack for Waterfox G3
 This package contains Finnish translations for Waterfox G3

Package: waterfox-g3-i18n-fr
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: French language pack for Waterfox G3
 This package contains French translations for Waterfox G3

Package: waterfox-g3-i18n-fy-nl
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Western Frisian language pack for Waterfox G3
 This package contains Western Frisian translations for Waterfox G3

Package: waterfox-g3-i18n-ga-ie
Architecture: all
Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
Description: Irish (Ireland) language pack for Waterfox G3
 This package contains Irish (Ireland) translations for Waterfox G3

Package: waterfox-g3-i18n-gd
Architecture: all

## waterfox-g3-kpe 0.2

=== debian/changelog ===
waterfox-g3-kpe (0.2-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Dec 2020 12:54:21 -0800

waterfox-g3-kpe (0.2-1) obs; urgency=medium

  * Fixed language packages

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 27 Dec 2020 10:33:00 +0200

waterfox-g3-kpe (0.2-0) obs; urgency=medium

  * Fixed an issue where only the Flash NPAPI could be used. (Thanks to
    @neutrino38)
  * Fixed some issues with irregularities in the new Abyss/Floe themes.
  * Fixed colour issues on some text on Linux.
  * Network predictions are now disabled.
  * Simplified page print checkbox is now available when printing.
  * Disabled all connections to firefox.settings.services.mozilla.com. If this
    causes issues with web features, this may need to be investigated further.
  * Updated to Gecko 78.6.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 16 Dec 2020 21:03:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: waterfox-g3-kpe
 Section: web
 Priority: optional
-Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
 Build-Depends: apt-utils,
                autoconf2.13,
                autotools-dev,
@@ -10,13 +11,14 @@
                build-essential,
                cargo (>= 0.42),
                cbindgen (>= 0.14.3),
-               clang , clang-7,
+               clang,
+               clang-7,
                dbus-x11,
                debhelper (>= 9),
                dpkg-dev (>= 1.16.1.1~),
-#               gcc (>= 7) | gcc-mozilla (>= 7),
                libasound2-dev,
-               libclang-dev, libclang-7-dev,
+               libclang-7-dev,
+               libclang-dev,
                libcurl4-openssl-dev,
                libdbus-glib-1-dev,
                libevent-dev (>= 1.4.1),
@@ -42,7 +44,8 @@
                libxext-dev,
                libxrender-dev,
                libxt-dev,
-               llvm-dev, llvm-7-dev,
+               llvm-7-dev,
+               llvm-dev,
                locales,
                lsb-release,
                mesa-common-dev,
@@ -70,7 +73,7 @@
  Waterfox focuses on giving users choice. The browser is focused on power users,
  which lets you make the important decisions. There is no plugin whitelist
  (meaning you can run Java Applets and Silverlight apps), you can run whichever
- extensions you like (including modified bootstrapped add-ons that can 
+ extensions you like (including modified bootstrapped add-ons that can
  completely change functionality of the browser) and absolutely no data or
  telemetry is sent back to Mozilla or the Waterfox project.
  .
@@ -311,5 +314,3 @@
 Description: Irish (Ireland) language pack for Waterfox G3
  This package contains Irish (Ireland) translations for Waterfox G3
 
-Package: waterfox-g3-i18n-gd
-Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export SHELL=/bin/bash
LDFLAGS += -Wl,--no-keep-memory
export MOZ_NOSPAM:=1
export MOZ_SOURCE_CHANGESET=0.1
# export MOZ_SOURCE_STAMP=$(shell awk -F ': ' '/^commit:/ {print $$2; exit}' ../SOURCES/waterfox-g3-kpe.obsinfo)
export SOURCE_REPO=https://github.com/MrAlex94/Waterfox
export source_repo=https://github.com/MrAlex94/Waterfox
export MOZ_SOURCE_REPO=https://github.com/MrAlex94/Waterfox
export TODAY_DATE=$(shell date +%Y-%m-%d)

# distrelease := $(shell lsb_release -sc)
# ifeq ($(distrelease),$(filter $(distrelease),stretch xenial))
# LDFLAGS += -static-libstdc++
# endif

export LDFLAGS

%:
	dh $@

override_dh_auto_clean:
	rm -f .mozconfig
	dh_auto_clean
	find . -name '*.pyc' -delete

override_dh_auto_configure:
	cp debian/mozconfig mozconfig

override_dh_auto_build:
	# LTO needs more open files
	ulimit -n 4096; xvfb-run -a -n 97 -s "-screen 0 1920x1080x24" ./mach build

override_dh_auto_install:
	chmod +x $$(pwd)/debian/waterfox-g3-bin.sh
	DESTDIR=$$(pwd)/debian/waterfox-g3-kpe ./mach install
	rm -rf $$(pwd)/debian/waterfox-g3-kpe/usr/lib/waterfox-g3/dictionaries
	rm -rf $$(pwd)/debian/waterfox-g3-kpe/usr/lib/waterfox-g3/waterfox-g3-bin
	sed -i "s/__DATE__/$$TODAY_DATE/g" $$(pwd)/debian/waterfox-g3.appdata.xml.in
	sed -e "s/__VERSION__/$$(<browser/config/version_display.txt)/g" $$(pwd)/debian/waterfox-g3.appdata.xml.in > $$(pwd)/debian/waterfox-g3-kpe/usr/share/metainfo/waterfox-g3.appdata.xml
	mv $$(pwd)/debian/waterfox-g3-wayland-bin.sh $$(pwd)/debian/waterfox-g3-wayland/usr/bin/waterfox-g3-wayland
	mkdir -p  $$(pwd)/features
	mv $$(pwd)/browser/extensions/*.xpi $$(pwd)/features

override_dh_shlibdeps:
	dh_shlibdeps -l /usr/lib/waterfox-g3/waterfox-g3

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xdebian/waterfox-g3-kpe/usr/lib/waterfox-g3/browser/features/formautofill@mozilla.org.xpi

## waterfox-g3-kpe 2.0

=== debian/changelog ===
waterfox-g3-kpe (2.0-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 07 Apr 2021 11:41:15 -0700

waterfox-g3-kpe (2.0-0) obs; urgency=medium

  * Automatically switch between dark and light theme depending on system
    settings in Preferences > Language and Appearance.
  * Choose your preferred language in Preferences > Language and Appearance..
  * Startpage will now show search suggestions if set as default search engine.
  * Improved the user experience when installing a Chrome/Opera web extension.
  * Upgraded to Gecko 78.9.
  * Reduced connections made to Mozilla settings service.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 24 Mar 2021 23:07:00 +0200

waterfox-g3-kpe (1.1-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 24 Feb 2021 10:58:17 -0800

waterfox-g3-kpe (1.1-0) obs; urgency=medium

  * Updated to Gecko 78.8 (includes security patches).
  * Improved support for the Chrome Web Store.
  * Fixed issues where installing more than 2 add-ons from the CWS or OWS
    would result in name garbling and inability to use them.
  * Improvement to the styling of tabs and status bar elements.
  * Improvement in the support of global menu.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 24 Feb 2021 15:09:00 +0200

waterfox-g3-kpe (1.0-1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Migrated from Bing Translation API v2 to v3. You can manually add a key
      to enable this feature in about:config.
    - Fixed issue with Profile Imports. You can now import from Firefox and
      Waterfox Classic once again!
    - Updated to Gecko 78.7 (includes security patches).
    - Add initial support for the Chrome Web Store and Opera Web Store.
      Improvements still to be made, but the first step to full support has now
      landed.
    - You can refresh your Waterfox profile in about:support. Useful if Waterfox
      is running slow or broken on websites.
    - Tab positions are now back! You can have browser tabs appear underneath
      the address bar or at the bottom of the display window. Available in
      about:preferences.
    - Status bar is now back, available in about:preferences.
    - Restart button is now back on the main menu.
    - Added 'Open the Profile Manager' entry to desktop files.
    - Updated translations in desktop files.

  * Add bc to BDs in order to generate JOBS in rules file.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 07 Feb 2021 06:15:31 -0800

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: apt-utils,
                autoconf2.13,
                autotools-dev,
+               bc,
                binutils,
                binutils-avr,
-               build-essential,
                cargo (>= 0.42),
                cbindgen (>= 0.14.3),
                clang,
@@ -38,6 +38,7 @@
                libpulse-dev,
                libreadline-dev,
                libstartup-notification0-dev,
+               libstdc++6  (>= 7.0) | gcc-mozilla (>= 7),
                libtinfo-dev,
                libx11-dev,
                libx11-xcb-dev,
@@ -312,5 +313,3 @@
 Architecture: all
 Depends: waterfox-g3-kpe (>= ${source:Version}), ${misc:Depends}
 Description: Irish (Ireland) language pack for Waterfox G3
- This package contains Irish (Ireland) translations for Waterfox G3
-

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,23 @@
 export SHELL=/bin/bash
 LDFLAGS += -Wl,--no-keep-memory
 export MOZ_NOSPAM:=1
-export MOZ_SOURCE_CHANGESET=0.1
+export MOZ_SOURCE_CHANGESET=1.0
 # export MOZ_SOURCE_STAMP=$(shell awk -F ': ' '/^commit:/ {print $$2; exit}' ../SOURCES/waterfox-g3-kpe.obsinfo)
 export SOURCE_REPO=https://github.com/MrAlex94/Waterfox
 export source_repo=https://github.com/MrAlex94/Waterfox
 export MOZ_SOURCE_REPO=https://github.com/MrAlex94/Waterfox
 export TODAY_DATE=$(shell date +%Y-%m-%d)
 
-# distrelease := $(shell lsb_release -sc)
-# ifeq ($(distrelease),$(filter $(distrelease),stretch xenial))
-# LDFLAGS += -static-libstdc++
-# endif
+distrelease := $(shell lsb_release -sc)
+ifeq ($(distrelease),$(filter $(distrelease),stretch xenial))
+LDFLAGS += -static-libstdc++
+endif
 
 export LDFLAGS
+
+export WF_VER=$(shell cat browser/config/version_display.txt)
+
+export JOBS=$(shell echo $(shell grep -c ^processor /proc/cpuinfo)\/2 | bc)
 
 %:
 	dh $@
@@ -30,8 +34,19 @@
 	cp debian/mozconfig mozconfig
 
 override_dh_auto_build:
+	# Build browser
 	# LTO needs more open files
-	ulimit -n 4096; xvfb-run -a -n 97 -s "-screen 0 1920x1080x24" ./mach build
+	ulimit -n 4096; export MOZCONFIG=mozconfig; xvfb-run -a -n 97 -s "-screen 0 1920x1080x24" ./mach build
+
+	# Build langpacks
+	mkdir -p $$(pwd)/extensions
+	# langpack-build can not be done in parallel easily (see https://bugzilla.mozilla.org/show_bug.cgi?id=1660943)
+	# Therefore, we have to have a separate obj-dir for each language
+	# We do this, by creating a mozconfig-template with the necessary switches
+	# and a placeholder obj-dir, which gets copied and modified for each language
+	sed -r '/^(ja-JP-mac|en-US|)$$/d;s/ .*$$//' ./browser/locales/shipped-locales \
+    | xargs -n 1 -P $$JOBS -I {} /bin/sh -c 'locale=$$1; cp debian/mozconfig_LANG mozconfig_$$locale; sed -i "s|obj_LANG|obj_$$locale|" mozconfig_$$locale; export MOZCONFIG=mozconfig_$$locale; ./mach build config/nsinstall langpack-$$locale; cp -L ../obj_$$locale/dist/linux-*/xpi/waterfox-g3-$$WF_VER.$$locale.langpack.xpi \
+	$$(pwd)/extensions/langpack-$$locale@l10n.waterfox.net.xpi' -- {}
 
 override_dh_auto_install:
 	chmod +x $$(pwd)/debian/waterfox-g3-bin.sh
@@ -41,8 +56,6 @@
 	sed -i "s/__DATE__/$$TODAY_DATE/g" $$(pwd)/debian/waterfox-g3.appdata.xml.in
 	sed -e "s/__VERSION__/$$(<browser/config/version_display.txt)/g" $$(pwd)/debian/waterfox-g3.appdata.xml.in > $$(pwd)/debian/waterfox-g3-kpe/usr/share/metainfo/waterfox-g3.appdata.xml
 	mv $$(pwd)/debian/waterfox-g3-wayland-bin.sh $$(pwd)/debian/waterfox-g3-wayland/usr/bin/waterfox-g3-wayland
-	mkdir -p  $$(pwd)/features
-	mv $$(pwd)/browser/extensions/*.xpi $$(pwd)/features
 
 override_dh_shlibdeps:
 	dh_shlibdeps -l /usr/lib/waterfox-g3/waterfox-g3

## waterfox-g3-kpe 2.1

=== debian/changelog ===
waterfox-g3-kpe (2.1-0) obs; urgency=medium

    * Resolved an issue where the Abyss theme would display the active tab with incorrect colouring when the position was switched to under the address bar.
    * Upgraded to Gecko 78.10

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 16 Apr 2021 12:42:00 +0200

waterfox-g3-kpe (1.0-0) obs; urgency=medium

    * Migrated from Bing Translation API v2 to v3. You can manually add a key to enable this feature in about:config.
    * Fixed issue with Profile Imports. You can now import from Firefox and Waterfox Classic once again!
    * Updated to Gecko 78.7 (includes security patches).
    * Add initial support for the Chrome Web Store and Opera Web Store. Improvements still to be made, but the first step to full support has now landed.
    * You can refresh your Waterfox profile in about:support. Useful if Waterfox is running slow or broken on websites.
    * Tab positions are now back! You can have browser tabs appear underneath the address bar or at the bottom of the display window. Available in about:preferences.
    * Status bar is now back, available in about:preferences.
    * Restart button is now back on the main menu.
    * Added 'Open the Profile Manager' entry to desktop file
    * Updated translations in desktop file

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 02 Feb 2021 15:55:00 +0200

=== debian/control ===
Source: waterfox-g3-kpe
Section: web
Priority: optional
Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
Build-Depends: debhelper (>= 9), autoconf2.13, libgtk-3-dev (>= 3.4), libdbus-glib-1-dev, libpulse-dev, libasound2-dev, yasm (>= 1.1), build-essential, libgtk2.0-dev (>= 2.14), libxt-dev, python3 (>= 3.5), zip, unzip, cargo (>= 0.42), libgl1-mesa-dev, libnotify-dev (>= 0.4), binutils-avr, libfreetype6-dev (>= 2.0.1), libfontconfig1-dev, pkg-config, libtinfo-dev, clang (>= 4.0) | clang-4.0 | clang-6.0 | clang-7 | clang-8 | clang-10 | clang-11, llvm-dev (>= 4.0) | llvm-4.0-dev | llvm-6.0-dev | llvm-7-dev | llvm-8-dev | llvm-10-dev | llvm-11-dev, rustc (>= 1.41.0), libxext-dev, libglib2.0-dev (>= 2.18), libpango1.0-dev (>= 1.14.0), libstartup-notification0-dev, libcurl4-openssl-dev, libiw-dev, mesa-common-dev, libxrender-dev, dbus-x11, xvfb, libx11-dev, libx11-xcb-dev, libfile-fcntllock-perl, apt-utils, locales, autotools-dev, libjpeg-dev, zlib1g-dev, libreadline-dev, dpkg-dev (>= 1.16.1.1~), libevent-dev (>= 1.4.1), libjsoncpp-dev, xfonts-base, xauth, lsb-release, cbindgen (>= 0.14.3), nodejs (>= 10.21) | nodejs-mozilla (>= 10.21), libjack-dev, nasm (>= 2.14) | nasm-mozilla (>= 2.14), binutils, libclang-dev | libclang-6.0-dev | libclang-7-dev | libclang-8-dev | libclang-10-dev | libclang-11-dev, libstdc++6  (>= 7.0) | gcc-mozilla (>= 7), bc
Standards-Version: 3.9.7
Homepage: https://www.waterfox.net/

Package: waterfox-g3-kpe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: fonts-lyx, pulseaudio, kwaterfoxhelper, waterfox-g3-wayland, ffmpeg
Provides: www-browser, gnome-www-browser, waterfox-g3
Description: Customizable privacy-conscious web browser with primary support for webextensions and better integration with KDE
 Waterfox focuses on giving users choice. The browser is focused on power users, which lets you make the important decisions. There is no plugin whitelist (meaning you can run Java Applets and Silverlight apps), you can run whichever extensions you like (including modified bootstrapped add-ons that can completely change functionality of the browser) and absolutely no data or telemetry is sent back to Mozilla or the Waterfox project.
 .
 Waterfox is powered by Mozilla Firefox source code.
 .
 NOTE 1: Package contains integration improvements for KDE made by openSUSE, but works good also on other desktop environments and KDE Plasma integration features may not work if kwaterfoxhelper isn't installed. For better integration recommended is also installing plasma-browser-integration package together with Plasma Integration extension.
 .
 NOTE 2: Language packs are available as separate packages to install from apt repository!

Package: waterfox-g3-kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, waterfox-g3, kwaterfoxhelper
Suggests: plasma-browser-integration
Description: KDE Plasma integration for Waterfox Third Generation
 For better integration recommended is also installing plasma-browser-integration package together with Plasma Integration extension.

Package: waterfox-g3-wayland
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, waterfox-g3
Description: Waterfox Third Generation Wayland launcher
 This package contains launcher and desktop file to run Waterfox Third Generation natively on Wayland.

Package: waterfox-g3-i18n-ach
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Acholi language pack for Waterfox G3
 This package contains Acholi translations for Waterfox G3

Package: waterfox-g3-i18n-af
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Afrikaans language pack for Waterfox G3
 This package contains Afrikaans translations for Waterfox G3

Package: waterfox-g3-i18n-an
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Aragonese language pack for Waterfox G3
 This package contains Aragonese translations for Waterfox G3

Package: waterfox-g3-i18n-ar
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Arabic language pack for Waterfox G3
 This package contains Arabic translations for Waterfox G3

Package: waterfox-g3-i18n-ast
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Asturian language pack for Waterfox G3
 This package contains Asturian translations for Waterfox G3

Package: waterfox-g3-i18n-az
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Azerbaijani language pack for Waterfox G3
 This package contains Azerbaijani translations for Waterfox G3

Package: waterfox-g3-i18n-be
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Belarusian language pack for Waterfox G3
 This package contains Belarusian translations for Waterfox G3

Package: waterfox-g3-i18n-bg
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Bulgarian language pack for Waterfox G3
 This package contains Bulgarian translations for Waterfox G3

Package: waterfox-g3-i18n-bn
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Bengali language pack for Waterfox G3
 This package contains Bengali translations for Waterfox G3

Package: waterfox-g3-i18n-br
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Breton language pack for Waterfox G3
 This package contains Breton translations for Waterfox G3

Package: waterfox-g3-i18n-bs
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Bosnian language pack for Waterfox G3
 This package contains Bosnian translations for Waterfox G3

Package: waterfox-g3-i18n-ca
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Catalan language pack for Waterfox G3
 This package contains Catalan translations for Waterfox G3

Package: waterfox-g3-i18n-ca-valencia
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description:  Català (Valencià) language pack for Waterfox G3
 This package contains  Català (Valencià) translations for Waterfox G3

Package: waterfox-g3-i18n-cak
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Kaqchikel language pack for Waterfox G3
 This package contains Kaqchikel translations for Waterfox G3

Package: waterfox-g3-i18n-cs
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Czech language pack for Waterfox G3
 This package contains Czech translations for Waterfox G3

Package: waterfox-g3-i18n-cy
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Welsh language pack for Waterfox G3
 This package contains Welsh translations for Waterfox G3

Package: waterfox-g3-i18n-da
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Danish language pack for Waterfox G3
 This package contains Danish translations for Waterfox G3

Package: waterfox-g3-i18n-de
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: German language pack for Waterfox G3
 This package contains German translations for Waterfox G3

Package: waterfox-g3-i18n-dsb
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Lower Sorbian language pack for Waterfox G3
 This package contains Lower Sorbian translations for Waterfox G3

Package: waterfox-g3-i18n-el
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Greek language pack for Waterfox G3
 This package contains Greek translations for Waterfox G3

Package: waterfox-g3-i18n-en-ca
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: English (Canadian) language pack for Waterfox G3
 This package contains English (Canadian) translations for Waterfox G3

Package: waterfox-g3-i18n-en-gb
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: English (British) language pack for Waterfox G3
 This package contains English (British) translations for Waterfox G3

Package: waterfox-g3-i18n-eo
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Esperanto language pack for Waterfox G3
 This package contains Esperanto translations for Waterfox G3

Package: waterfox-g3-i18n-es-ar
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Spanish (Argentina) language pack for Waterfox G3
 This package contains Spanish (Argentina) translations for Waterfox G3

Package: waterfox-g3-i18n-es-cl
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Spanish (Chile) language pack for Waterfox G3
 This package contains Spanish (Chile) translations for Waterfox G3

Package: waterfox-g3-i18n-es-es
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Spanish (Spain) language pack for Waterfox G3
 This package contains Spanish (Spain) translations for Waterfox G3

Package: waterfox-g3-i18n-es-mx
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Spanish (Mexico) language pack for Waterfox G3
 This package contains Spanish (Mexico) translations for Waterfox G3

Package: waterfox-g3-i18n-et
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Estonian language pack for Waterfox G3
 This package contains Estonian translations for Waterfox G3

Package: waterfox-g3-i18n-eu
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Basque language pack for Waterfox G3
 This package contains Basque translations for Waterfox G3

Package: waterfox-g3-i18n-fa
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Persian language pack for Waterfox G3
 This package contains Persian translations for Waterfox G3

Package: waterfox-g3-i18n-ff
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Fulah language pack for Waterfox G3
 This package contains Fulah translations for Waterfox G3

Package: waterfox-g3-i18n-fi
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Finnish language pack for Waterfox G3
 This package contains Finnish translations for Waterfox G3

Package: waterfox-g3-i18n-fr
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: French language pack for Waterfox G3
 This package contains French translations for Waterfox G3

Package: waterfox-g3-i18n-fy-nl
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Western Frisian language pack for Waterfox G3
 This package contains Western Frisian translations for Waterfox G3

Package: waterfox-g3-i18n-ga-ie
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Irish (Ireland) language pack for Waterfox G3
 This package contains Irish (Ireland) translations for Waterfox G3

Package: waterfox-g3-i18n-gd
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Scottish Gaelic language pack for Waterfox G3
 This package contains Scottish Gaelic translations for Waterfox G3

Package: waterfox-g3-i18n-gl
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
Description: Galician language pack for Waterfox G3
 This package contains Galician translations for Waterfox G3

Package: waterfox-g3-i18n-gn
Architecture: all
Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,8 @@
 export SHELL=/bin/bash
 LDFLAGS += -Wl,--no-keep-memory
 export MOZ_NOSPAM:=1
-export MOZ_SOURCE_CHANGESET=1.0
-# export MOZ_SOURCE_STAMP=$(shell awk -F ': ' '/^commit:/ {print $$2; exit}' ../SOURCES/waterfox-g3-kpe.obsinfo)
+export MOZ_SOURCE_CHANGESET=$(shell awk -F ': ' '/^commit:/ {print $$2; exit}' ../SOURCES/waterfox-g3-kpe.obsinfo)
+export MOZ_SOURCE_STAMP=$(shell awk -F ': ' '/^commit:/ {print $$2; exit}' ../SOURCES/waterfox-g3-kpe.obsinfo)
 export SOURCE_REPO=https://github.com/MrAlex94/Waterfox
 export source_repo=https://github.com/MrAlex94/Waterfox
 export MOZ_SOURCE_REPO=https://github.com/MrAlex94/Waterfox

## waterfox-g3-kpe 2.6

=== debian/changelog ===
waterfox-g3-kpe (2.6-0) obs; urgency=low

    * Latest Mozilla Foundation Security Advisories patched.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 15 Sep 2021 18:04:00 +0200

waterfox-g3-kpe (2.5-0) obs; urgency=low

    * Latest Mozilla Foundation Security Advisories patched.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 12 Aug 2021 19:03:00 +0200

waterfox-g3-kpe (2.4.1-0) obs; urgency=low

    * Fixed rendering of preferences page

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 20 Jul 2021 18:39:00 +0200

waterfox-g3-kpe (2.4-0) obs; urgency=medium

    * Ecosia is now selectable as a search option
    * You should now be able to install Chrome and Opera extensions without issues once more
    * Added security patches from latest ESR
    * Refactored various features to be more performant

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 14 Jul 2021 16:13:00 +0200

waterfox-g3-kpe (2.3-0) obs; urgency=medium

    * Resolved an issue where Abyss or Floe would not be set upon restart of the browser.
    * Resolved an issue where Yahoo! was being set as default search unprompted.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 08 Jun 2021 11:42:00 +0200

waterfox-g3-kpe (2.2-0) obs; urgency=medium

    * Resolved varying Abyss and Floe theme issues
    * Added user-agent override for xfinity.com
    * Bookmark toolbar context menu can now be used after visiting about:preferences
    * Upgraded to Gecko 78.11

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 04 Jun 2021 14:31:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
-Build-Depends: debhelper (>= 9), autoconf2.13, libgtk-3-dev (>= 3.4), libdbus-glib-1-dev, libpulse-dev, libasound2-dev, yasm (>= 1.1), build-essential, libgtk2.0-dev (>= 2.14), libxt-dev, python3 (>= 3.5), zip, unzip, cargo (>= 0.42), libgl1-mesa-dev, libnotify-dev (>= 0.4), binutils-avr, libfreetype6-dev (>= 2.0.1), libfontconfig1-dev, pkg-config, libtinfo-dev, clang (>= 4.0) | clang-4.0 | clang-6.0 | clang-7 | clang-8 | clang-10 | clang-11, llvm-dev (>= 4.0) | llvm-4.0-dev | llvm-6.0-dev | llvm-7-dev | llvm-8-dev | llvm-10-dev | llvm-11-dev, rustc (>= 1.41.0), libxext-dev, libglib2.0-dev (>= 2.18), libpango1.0-dev (>= 1.14.0), libstartup-notification0-dev, libcurl4-openssl-dev, libiw-dev, mesa-common-dev, libxrender-dev, dbus-x11, xvfb, libx11-dev, libx11-xcb-dev, libfile-fcntllock-perl, apt-utils, locales, autotools-dev, libjpeg-dev, zlib1g-dev, libreadline-dev, dpkg-dev (>= 1.16.1.1~), libevent-dev (>= 1.4.1), libjsoncpp-dev, xfonts-base, xauth, lsb-release, cbindgen (>= 0.14.3), nodejs (>= 10.21) | nodejs-mozilla (>= 10.21), libjack-dev, nasm (>= 2.14) | nasm-mozilla (>= 2.14), binutils, libclang-dev | libclang-6.0-dev | libclang-7-dev | libclang-8-dev | libclang-10-dev | libclang-11-dev, libstdc++6  (>= 7.0) | gcc-mozilla (>= 7), bc
+Build-Depends: debhelper (>= 9), autoconf2.13, libgtk-3-dev (>= 3.4), libdbus-glib-1-dev, libpulse-dev, libasound2-dev, yasm (>= 1.1), build-essential, libgtk2.0-dev (>= 2.14), libxt-dev, python3 (>= 3.5), zip, unzip, cargo (>= 0.42), libgl1-mesa-dev, libnotify-dev (>= 0.4), binutils-avr, libfreetype6-dev (>= 2.0.1), libfontconfig1-dev, pkg-config, libtinfo-dev, clang (>= 5.0) | clang-5.0 | clang-6.0 | clang-7 | clang-8 | clang-10 | clang-11, llvm-dev (>= 5.0) | llvm-5.0-dev | llvm-6.0-dev | llvm-7-dev | llvm-8-dev | llvm-10-dev | llvm-11-dev, lld (>= 5.0) | lld-5.0 | lld-6.0 | lld-7 | lld-8 | lld-10 | lld-11, rustc (>= 1.41.0), libxext-dev, libglib2.0-dev (>= 2.18), libpango1.0-dev (>= 1.14.0), libstartup-notification0-dev, libcurl4-openssl-dev, libiw-dev, mesa-common-dev, libxrender-dev, dbus-x11, xvfb, libx11-dev, libx11-xcb-dev, libfile-fcntllock-perl, apt-utils, locales, autotools-dev, libjpeg-dev, zlib1g-dev, libreadline-dev, dpkg-dev (>= 1.16.1.1~), libevent-dev (>= 1.4.1), libjsoncpp-dev, xfonts-base, xauth, lsb-release, cbindgen (>= 0.14.3), nodejs (>= 10.21) | nodejs-mozilla (>= 10.21), libjack-dev, nasm (>= 2.14) | nasm-mozilla (>= 2.14), libclang-dev (>= 5.0) | libclang-6.0-dev | libclang-7-dev | libclang-8-dev | libclang-10-dev | libclang-11-dev, libstdc++6 (>= 7.0) | gcc-mozilla (>= 7), bc
 Standards-Version: 3.9.7
 Homepage: https://www.waterfox.net/
 
@@ -257,4 +257,3 @@
 
 Package: waterfox-g3-i18n-gn
 Architecture: all
-Depends: ${misc:Depends}, waterfox-g3-kpe (>= ${source:Version})
